.text-media {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(rem(450), 1fr));
  gap: $gap;

  &.has-gallery {
    grid-template-columns: minmax(min-content, 1fr) minmax(60%, 1fr);
  }

  .text {
    @extend %letter-spacing;

    font-size: clamp(18px, 1.25vw, rem(24));
    font-variation-settings: $font-weight-light;
    line-height: 1.8;
    opacity: 0;
    transform: translateX(-50px);
    transition: opacity 1s ease-in-out .3s, transform 1s ease-in-out .3s;

    &.in-view {
      opacity: 1;
      transform: translateX(0);
    }

    p,
    ul,
    li {
      font-size: inherit;
      font-variation-settings: inherit;
      line-height: inherit;
    }

    ul {
      margin-top: rem(20);
      margin-left: rem(30);
    }
  }

  .media {
    margin-top: $element-margin;
  }

  .contact {
    margin-top: $element-margin;

    span {
      display: block;
    }

    p,
    span,
    a {
      font-size: clamp(18px, 1.25vw, rem(24));
      font-variation-settings: $font-weight-light;
    }

    .title {
      font-variation-settings: $font-weight-bold;
    }
  }

  h2 {
    margin-left: $element-margin-small;
    font-size: clamp(28px, 2.6vw, rem(50));
    font-variation-settings: $font-weight-medium;
    text-transform: uppercase;

    + p {
      margin-top: $element-margin-small;
    }
  }

  &.reverse {
    &.has-gallery {
      grid-template-columns: minmax(60%, 1fr) minmax(min-content, 1fr);
    }

    .text {
      order: 2;
      transform: translateX(50px);

      &.in-view {
        transform: translateX(0);
      }
    }

    .media {
      order: 1;
    }
  }

  &.short:not(.contact) {
    p,
    span,
    a {
      font-size: clamp(20px, 1.8vw, rem(34));
    }
  }

  @media (max-width: $breakpoint-large-max) {
    gap: $gap * .8;
  }

  @media (max-width: $breakpoint-medium-large) {
    &,
    &.has-gallery {
      grid-template-columns: 1fr;
    }

    > * {
      margin: 0 auto;
      max-width: 600px;
    }

    .text {
      transform: translateY(40px);
      transition: opacity .7s ease-in-out .1s, transform .7s ease-in-out .1s;

      &.in-view {
        transform: translateY(0);
      }
    }

    .media {
      margin-top: $element-margin-small;
    }

    &.reverse {
      &.has-gallery {
        grid-template-columns: 1fr;
      }

      .text {
        order: initial;
        transform: translateY(40px);
        transition: opacity .7s ease-in-out .1s, transform .7s ease-in-out .1s;

        &.in-view {
          transform: translateY(0);
        }
      }

      .media {
        order: initial;
      }
    }
  }
}
